Rasa X Local mode Installation Errors and warnings

Hey peeps thanks in advance for your help.

So trying to get Rasa x running in local mode on my windows 10 pc after the install (using pip3 install rasa-x --extra-index-url https://pypi.rasa.com/simple), upon then entering rasa x i get the following errors ;

WARNING rasax.community.services.insights.insight_service - No local evaluation result files found.

ERROR asyncio - Error on reading from the event loop self pipe loop:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\windows_events.py”, line 453, in finish_recv return ov.getresult() OSError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\proactor_events.py”, line 768, in _loop_self_reading f.result() # may raise File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\windows_events.py”, line 808, in _poll value = callback(transferred, key, ov) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\windows_events.py”, line 457, in finish_recv raise ConnectionResetError(*exc.args) ConnectionResetError: [WinError 995] The I/O operation has been aborted because of either a thread exit or an application request

ERROR concurrent.futures - exception calling callback for <Future at 0x1f13978afa0 state=finished raised gaierror>

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed

ERROR concurrent.futures - exception calling callback for <Future at 0x1f139794490 state=finished returned list>

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’)

RuntimeError: Event loop is closed

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\services\stack_service.py”, line 107, in version response = await session.get( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

thanks in advance for any help.

@tvds794 Hi, Please share rasa version rasa --version

@nik202 thanks for your reply

Rasa Version : 2.8.2

Minimum Compatible Version: 2.8.0

Rasa SDK Version : 2.8.1

Rasa X Version : 0.42.0

Python Version : 3.8.0

Operating System : Windows-10-10.0.19041-SP0

Python Path : C:\Users\thoma\anaconda3\envs\rasa-x-test\python.exe

@tvds794 Change rasa-sdk to 2.8.2 or change rasa to 2.8.1 it’s up to you and downgrade rasa 0.42.0 to rasa 0.39.3 and try, if you got any error, do let me know please. I hope this will solve your issue.

@nik202 alright, sounds great. But how would i do that?

@tvds794

pip install rasa-sdk==2.8.2 or 2.8.1

check version rasa --version its install or not

then

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

check rasa version rasa --version its install or not

You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install

pip install SQLAlchemy==1.3.22 should fix it

If sanic related error: pip install sanic-jwt==1.6.0

delete .db if is showing alembic issue.

Good luck! I hope this will solve your issue.

1 Like

@nik202

Thanks so much :slight_smile:

Im getting the following:

(rasa-x-test) C:\Users\thoma\RASA\rasa-x-test>pip install rasa-sdk==2.8.2

ERROR: Could not find a version that satisfies the requirement rasa-sdk==2.8.2 (from versions: 1.0.0rc3, 1.0.0rc4, 1.0.0, 1.1.0, 1.1.1, 1.2.0, 1.3.0a1, 1.3.0, 1.3.1, 1.3.2, 1.3.3, 1.4.0, 1.5.0, 1.5.1, 1.5.2, 1.6.0, 1.6.1, 1.7.0, 1.8.0, 1.8.1, 1.9.0, 1.10.0a1, 1.10.0, 1.10.1, 1.10.2, 1.10.3, 2.0.0a1, 2.0.0a2, 2.0.0a3, 2.0.0a4, 2.0.0a5, 2.0.0rc1, 2.0.0, 2.1.0, 2.1.1, 2.1.2, 2.2.0a1, 2.2.0, 2.3.0, 2.3.1, 2.4.0, 2.4.1, 2.5.0, 2.6.0, 2.7.0, 2.8.0, 2.8.1) ERROR: No matching distribution found for rasa-sdk==2.8.2

but i think it worked?:

Rasa Version : 2.8.2

Minimum Compatible Version: 2.8.0

Rasa SDK Version : 2.8.1

Rasa X Version : 0.39.3

Python Version : 3.8.0

Operating System : Windows-10-10.0.19041-SP0

Python Path : C:\Users\thoma\anaconda3\envs\rasa-x-test\python.exe

Upon trying rasa x again after the aforementioned i get this wall text:

(rasa-x-test) C:\Users\thoma\RASA\rasa-x-test>rasa x

Starting Rasa X in local mode… :rocket:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.script.revision.ResolutionError: No such revision or branch ‘652500998f3e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 783, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 365, in _upgrade_revs return [ File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\contextlib.py”, line 131, in exit self.gen.throw(type, value, traceback) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.util.exc.CommandError: Can’t locate revision identified by ‘652500998f3e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.strong text

( SQLAlchemy installed no probs:

(rasa-x-test) C:\Users\thoma\RASA\rasa-x-test>pip install SQLAlchemy==1.3.22 Collecting SQLAlchemy==1.3.22 Downloading SQLAlchemy-1.3.22-cp38-cp38-win_amd64.whl (1.2 MB) |████████████████████████████████| 1.2 MB 6.4 MB/s Installing collected packages: SQLAlchemy Attempting uninstall: SQLAlchemy Found existing installation: SQLAlchemy 1.4.22 Uninstalling SQLAlchemy-1.4.22: Successfully uninstalled SQLAlchemy-1.4.22 Successfully installed SQLAlchemy-1.3.22

)

@tvds794 I asked to change the rasa or rasa-sdk ? it should be same.

@nik202 it did not ask me to change it? Im confused now…

this is what my version looks like after the steps that you recommended:

(rasa-x-test) C:\Users\thoma\RASA\rasa-x-test>rasa --version

Rasa Version : 2.8.2

Minimum Compatible Version: 2.8.0

Rasa SDK Version : 2.8.1

Rasa X Version : 0.39.3

Python Version : 3.8.0

Operating System : Windows-10-10.0.19041-SP0

Python Path : C:\Users\thoma\anaconda3\envs\rasa-x-test\python.exe

@tvds794 change rasa version to pip install rasa==2.8.1 ok ? and then run please.

@nik202 And thenn: (rasa-x-test) C:\Users\thoma\RASA\rasa-x-test>rasa x

Starting Rasa X in local mode… :rocket:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.script.revision.ResolutionError: No such revision or branch ‘652500998f3e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 783, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 365, in _upgrade_revs return [ File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\contextlib.py”, line 131, in exit self.gen.throw(type, value, traceback) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.util.exc.CommandError: Can’t locate revision identified by ‘652500998f3e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@nik202 will do one moment

@tvds794 delete .db database file if events and rasa and it will work and .db file automatic created as you run rasa x.

@nik202 ooooh magical, stuff is happening now, im now getting a blank Rasa X page open; with url: http://localhost:5002/login?username=me&password=ipHBFYQlDcd8

but its just a white page, and this is looping in the terminal;

[2021-08-16 16:32:01 +0200] [23208] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=e70c94c1153a814700c94d86097fc0f2’ Traceback (most recent call last): File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\sanic\app.py”, line 908, in handle_request response = await self._run_request_middleware( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-16 16:32:05 +0200] [23208] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=e70c94c1153a814700c94d86097fc0f2’ Traceback (most recent call last): File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\sanic\app.py”, line 908, in handle_request response = await self._run_request_middleware( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-16 16:32:09 +0200] [23208] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=e70c94c1153a814700c94d86097fc0f2’ Traceback (most recent call last): File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\sanic\app.py”, line 908, in handle_request response = await self._run_request_middleware( File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\Users\thoma\anaconda3\envs\rasa-x-test\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’

@tvds794

Install

pip install sanic-jwt==1.6.0

@nik202 You glorious beast of a person, its working. Thanks a million.

@tvds794 No worries, please close this thread with the solution for others.

@nik202 Could only chose one post a solution soooo i have combined everything here:

Step 1:

pip install rasa==2.8.1

Step 2:

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Step 3:

((if?)You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install)

pip install SQLAlchemy==1.3.22

Step 4:

If sanic related error:

pip install sanic-jwt==1.6.0

Step 5:

delete .db database file ‘events’ and ‘rasa’ and it will work and .db file automatic created as you run rasa x.

@tvds794 No worries, I have shared this solution in my previous thread already check this Rasa X Local mode Installation Errors and warnings - #6 by nik202

1 Like

@nik202 When I run (pip install rasa-x==0.39.3 --extra-index-url Simple Index)on my local machine then this error occurs.

Rasa Version      :         2.8.1
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.2
Rasa X Version    :         None
Python Version    :         3.8.0
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         D:\Anaconda3\envs\hrms\python.exe
  Building wheel for ujson (setup.py) ... error
  ERROR: Command errored out with exit status 1:
   command: 'D:\Anaconda3\envs\hrms\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"'; __file__='"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d 'C:\Users\user\AppData\Local\Temp\pip-wheel-iu29jx0_'
       cwd: C:\Users\user\AppData\Local\Temp\pip-install-jhuhdas9\ujson_1ba3c4eb78534edc9c3cf55f711eced8\
  Complete output (6 lines):
  Warning: 'classifiers' should be a list, got type 'filter'
  running bdist_wheel
  running build
  running build_ext
  building 'ujson' extension
  error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
  ----------------------------------------
  ERROR: Failed building wheel for ujson
  Running setup.py clean for ujson
Failed to build ujson
Installing collected packages: ujson, questionary, python-editor, Mako, kafka-python, gitdb, pika, isodate, GitPython, croniter, alembic, rasa-x
  Attempting uninstall: ujson
    Found existing installation: ujson 4.0.2
    Uninstalling ujson-4.0.2:
      Successfully uninstalled ujson-4.0.2
    Running setup.py install for ujson ... error
    ERROR: Command errored out with exit status 1:
     command: 'D:\Anaconda3\envs\hrms\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"'; __file__='"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\user\AppData\Local\Temp\pip-record-eo6jkmmf\install-record.txt' --single-version-externally-managed --compile --install-headers 'D:\Anaconda3\envs\hrms\Include\ujson'
         cwd: C:\Users\user\AppData\Local\Temp\pip-install-jhuhdas9\ujson_1ba3c4eb78534edc9c3cf55f711eced8\
    Complete output (6 lines):
    Warning: 'classifiers' should be a list, got type 'filter'
    running install
    running build
    running build_ext
    building 'ujson' extension
    error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
    ----------------------------------------
  Rolling back uninstall of ujson
  Moving to d:\anaconda3\envs\hrms\lib\site-packages\ujson-4.0.2.dist-info\
   from D:\Anaconda3\envs\hrms\Lib\site-packages\~json-4.0.2.dist-info
  Moving to d:\anaconda3\envs\hrms\lib\site-packages\ujson.cp38-win_amd64.pyd
   from C:\Users\user\AppData\Local\Temp\pip-uninstall-m50r1zsh\ujson.cp38-win_amd64.pyd
ERROR: Command errored out with exit status 1: 'D:\Anaconda3\envs\hrms\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"'; __file__='"'"'C:\\Users\\user\\AppData\\Local\\Temp\\pip-install-jhuhdas9\\ujson_1ba3c4eb78534edc9c3cf55f711eced8\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\user\AppData\Local\Temp\pip-record-eo6jkmmf\install-record.txt' --single-version-externally-managed --compile --install-headers 'D:\Anaconda3\envs\hrms\Include\ujson' Check the logs for full command output.